import * as d from '../declarations';
export declare function newSpecPage(opts: d.NewSpecPageOptions): Promise<{
    win: Window;
    doc: Document;
    head: HTMLHeadElement;
    body: HTMLElement;
    root: any;
    rootInstance: any;
    build: d.Build;
    styles: Map<string, string>;
    flush: () => Promise<void>;
    flushLoadModule: (bundleId?: string) => Promise<void>;
    flushQueue: () => Promise<void>;
}>;
export declare function flushAll(): any;
export declare function flushQueue(): any;
export declare function flushLoadModule(): any;
